# Originally imported from fedora

Name:		fityk
Summary:	Non-linear curve fitting and data analysis
Version:	1.3.1
Release:	%mkrel 1
Source0:	https://github.com/wojdyr/fityk/releases/download/v%{version}/%{name}-%{version}.tar.xz
# patch to check for cmpfit dependency
Patch0: 	%name-cmpfit_config.patch
Patch1:		%name-desktop-menufile.patch
URL:		http://fityk.nieto.pl/
License:	GPLv2+
Group:		Sciences/Mathematics
BuildRequires:	readline-devel >= 4.2
BuildRequires:	ncurses-devel
BuildRequires:	desktop-file-utils
BuildRequires:	xylib-devel
BuildRequires:	zlib-devel
BuildRequires:	boost-devel >= 1.35
BuildRequires:	lib64lua5.2-devel
BuildRequires:  wxgtk-devel >= 3.0.2
BuildRequires:	libtool
BuildRequires:	swig
# sphinx is not yet 1.5.x - let us use pre-built documentation
# BuildRequires: python-sphinx
# use the bundled version of cmpfit
# BuildRequires: cmpfit-devel
Requires:	gnuplot

%description
Fityk is a program for nonlinear curve-fitting of analytical
functions (especially peak-shaped) to data (usually experimental
data). It can also be used for visualization of x-y data only.

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs that make
use of %{name}, you will need to install %{name}-devel.

%prep
%setup -q
#%patch0 -p0
%patch1 -p1

# rmeove pre-built documentation
# rm -fr doc/html

# unbundle cmpfit
# rm -fr fityk/cmpfit
# sed -i 's/\#include \"cmpfit\/mpfit.h\"/\#include \"mpfit.h\"/' fityk/CMPfit.h
# sed -i 's/swig\/luarun.h \\/swig\/luarun.h/' fityk/Makefile.am
# sed -i 's/cmpfit\/mpfit.c cmpfit\/mpfit.h/mpfit.h/' fityk/Makefile.am

%build
# export CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LDFLAGS="%{optflags} -lmpfit"
# autoreconf -iv
%configure2_5x --enable-python --disable-static --enable-shared

# remove rpath
# sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
# sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

# Temporarily disable building documentation
# needs python-sphinx >=1.5
# build html documentation
# pushd doc
# make pdf
# popd 

%install
make install DESTDIR=%{buildroot}
# get rid of libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'

# SWIG bindings are not packaged, remove samples
# rm -f %#{buildroot}%#{_datadir}/%#{name}/samples/*.py*
# rm -f %#{buildroot}%#{_datadir}/%#{name}/samples/*.lua
# rm -f %#{buildroot}%#{_datadir}/%#{name}/samples/*.pl

%post
update-desktop-database &> /dev/null || :
/sbin/ldconfig 2>/dev/null
touch --no-create %{_datadir}/mime/packages &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :
/sbin/ldconfig 2>/dev/null
if [ $1 -eq 0 ]; then
update-mime-database %{_datadir}/mime &> /dev/null || :
fi

%posttrans
update-mime-database %{_datadir}/mime &> /dev/null || :

%files
%doc COPYING NEWS
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/samples/
%{_bindir}/*
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}/html/
%{_datadir}/applications/*.desktop
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_datadir}/mime/packages/*
%{python2_sitearch}/*
%{python_sitelib}/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/%{name}/samples/*.cc


%changelog
* Sun Nov 26 2017 Zen Subz <techars21 at gmail dot com> - 1.3.1-1pclos2017
- Build for PCLinuxOS
